<?php
    /**
     * Skyline Custom Style Settings Plugin
     * A simple plugin which provides custom styles for the Skyline Theme.
     * Plugin Name:     Skyline Custom Style Settings
     * Plugin URI:      http://www.creativelycoded.com
     * Description:     A simple plugin which provides custom styles for the Skyline Theme.
     * Author:          CreativelyCoded
     * Author URI:      http://www.creativelycoded.com
     * Version:         1.0.0
     * License:         GPL3+
     * License URI:     http://www.gnu.org/licenses/gpl-3.0.txt
     *
     */
if( ! function_exists( 'skyline_custom_styles' ) ) :
    function skyline_custom_styles() {
        $skyline_data = skyline_redux_data();
		
?>

<style type="text/css">
a, 
a:link, 
a:visited {
    color: <?php echo $skyline_data['link_color']; ?>;
}
a:active, 
a:hover,
.menu-icon:hover,
#main-search:hover i,
.scrollup i:hover,
.portfolio-title h3:hover,
.blog-info-bottom a.read-more-link:hover {
    color: <?php echo $skyline_data['link_hover_color']; ?>;
}
.entry-meta {
	color: <?php echo $skyline_data['link_color']; ?>;
}
.page-template-blog-traditional,
.single-post,
.page-template-blog-masonry-2column,
.page-template-blog-masonry-3column,
.page-template-blog-masonry-4column,
.blog {
    background-color: <?php echo $skyline_data['blog_bg_color']; ?>;
}
.site-header,
.nav-top .main-navigation ul ul {
background-color: <?php echo $skyline_data['main_nav_bgcolor']; ?>;
color: <?php echo $skyline_data['main_nav_fontcolor']; ?>;
}
.nav-left .site-description,
.nav-right .site-description,
.nav-top .site-description {
background-color: <?php echo $skyline_data['main_nav_bgcolor']; ?>;
color: <?php echo $skyline_data['main_nav_fontcolor']; ?>;
}
.nav-left .nav-social-icons, 
.nav-right .nav-social-icons {
background-color: <?php echo $skyline_data['main_nav_bgcolor']; ?>;
color: <?php echo $skyline_data['main_nav_fontcolor']; ?>;
}
.nav-left .nav-social-wrapper, 
.nav-right .nav-social-wrapper {
background-color: <?php echo $skyline_data['main_nav_bgcolor']; ?>;
}
.nav-top .site-description {
background-color: <?php echo $skyline_data['main_nav_topbar_bgcolor']; ?>;
color: <?php echo $skyline_data['main_nav_topbar_fontcolor']; ?>;
}

<?php
if ($skyline_data['main_nav_transparent_bg'] == 1) { ?>
.nav-top.nav-transparent .site-header,
.nav-top.nav-transparent .site-description {
background-color: transparent;
color: #FFF;
border: none;
}
<?php
} elseif  ($skyline_data['main_nav_transparent_bg'] == 2) { ?>
.nav-top.nav-transparent .site-header,
.nav-top.nav-transparent .site-description {
background-color: rgba(255,255,255,0.1);
color: #FFF;
border-bottom: 1px solid rgba(255, 255, 255, 0.05);
}
<?php
} elseif  ($skyline_data['main_nav_transparent_bg'] == 3) { ?>
.nav-top.nav-transparent .site-header,
.nav-top.nav-transparent .site-description {
background-color: rgba(0,0,0,0.1);
color: #FFF;
border-bottom: 1px solid rgba(0, 0, 0, 0.05);
}
<?php
} ?>

.nav-top .nav-social-icons a:first-child i {
    border-left: 1px solid;
	border-color: <?php echo $skyline_data['main_nav_topbar_social_icons_border']; ?>;
}
.nav-top .nav-social-icons a i {
    border-right: 1px solid;
	border-color: <?php echo $skyline_data['main_nav_topbar_social_icons_border']; ?>;
}
.nav-top.nav-transparent .nav-social-icons a:first-child i {
    border-left: none;
}
.nav-top.nav-transparent .nav-social-icons a i {
    border-right: none;
}
.nav-top.nav-transparent .site-header a, 
.nav-top.nav-transparent .site-header a:link, 
.nav-top.nav-transparent .site-header a:visited,
.nav-top.nav-transparent .site-description a, 
.nav-top.nav-transparent .site-description a:link, 
.nav-top.nav-transparent .site-description a:visited {
    color: #FFF;
}
.nav-top ul ul.sub-menu {
background-color: <?php echo $skyline_data['main_nav_drop_menu_bg']; ?> !important;
}
.nav-top ul ul.sub-menu li a,
.nav-top ul ul.sub-menu li a:link,
.nav-top ul ul.sub-menu li a:active,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a  {
color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
}
.nav-top ul ul.sub-menu li a:hover,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a:hover {
color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
padding-left: 29px !important;
padding-right: 25px !important;
}
.nav-top .main-navigation ul li ul li a,
.nav-top .main-navigation ul ul  {
border-color:	<?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
}
.nav-top.nav-transparent .main-navigation li.current-menu-item a {
color: #FFF !important;
border-color: #FFF !important;
background-color: transparent !important;
}
#main-search i:hover {
	color: <?php echo $skyline_data['link_hover_color']; ?>;
}
.nav-top.nav-transparent .site-header.show-nav a, 
.nav-top.nav-transparent .site-header.show-nav a:link, 
.nav-top.nav-transparent .site-header.show-nav a:visited,
.nav-top.nav-transparent .site-description.show-nav a, 
.nav-top.nav-transparent .site-description.show-nav a:link, 
.nav-top.nav-transparent .site-description.show-nav a:visited {
    color: <?php echo $skyline_data['main_nav_fontcolor']; ?>;
}
.nav-top.nav-transparent .site-header.show-nav a:active, 
.nav-top.nav-transparent .site-header.show-nav a:hover,
.nav-top.nav-transparent .site-description a:active, 
.nav-top.nav-transparent .site-description a:hover {
    color: <?php echo $skyline_data['main_nav_font_hover_color']; ?>;
}
.nav-top.nav-transparent .site-header.show-nav,
.nav-top.nav-transparent .site-description.show-nav,
.nav-top.nav-transparent .site-header.show-nav .main-navigation ul ul {
background-color: <?php echo $skyline_data['main_nav_bgcolor']; ?>;
color: <?php echo $skyline_data['main_nav_fontcolor']; ?>;
}
.site-header a, 
.site-header a:link, 
.site-header a:visited,
.site-description a, 
.site-description a:link, 
.site-description a:visited {
color: <?php echo $skyline_data['main_nav_fontcolor']; ?>;
}
.nav-top .site-description a, 
.nav-top .site-description a:link, 
.nav-top .site-description a:visited {
    color: <?php echo $skyline_data['main_nav_topbar_fontcolor']; ?>;
}
.nav-top .site-description a:active, 
.nav-top .site-description a:hover {
    color: <?php echo $skyline_data['main_nav_font_hover_color']; ?>;
}
.site-header a:active, 
.site-header a:hover,
.site-description a:active, 
.site-description a:hover {
color: <?php echo $skyline_data['main_nav_font_hover_color']; ?>;
}
.nav-left .main-navigation li {
  border-bottom: 1px solid <?php echo $skyline_data['main_nav_link_border_color']; ?>;
}
.nav-right .main-navigation li {
  border-bottom: 1px solid <?php echo $skyline_data['main_nav_link_border_color']; ?>;
}
.nav-left .nav-social-icons a i, 
.nav-right .nav-social-icons a i,
.nav-left .nav-social-icons a:first-child i, 
.nav-right .nav-social-icons a:first-child i {
 border-color: <?php echo $skyline_data['main_nav_link_border_color']; ?>;
}
.nav-top .main-navigation li a {
padding-top: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
padding-bottom: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
-webkit-transition:all .35s;
-moz-transition:all .35s;
-o-transition:all .35s;
transition:all .35s;
}
.nav-top.nav-scrolled .main-navigation li a {
padding-top: 24px;
padding-bottom: 24px;
-webkit-transition:all .35s;
-moz-transition:all .35s;
-o-transition:all .35s;
transition:all .35s;
}
.nav-top .logo img {
	height: <?php echo $skyline_data['main_nav_logo_height'] ?>px;
    top: 50%;
    position: absolute;
    margin-top: -<?php echo $skyline_data['main_nav_logo_height'] / 2 ?>px;
	z-index: 1;
}
.nav-top.nav-scrolled .logo img {
    height: 100%;
    padding-top: 12px;
    position: absolute;
    z-index: 1;
    padding-bottom: 12px;
	    top: auto;
    margin-top: auto;
}
#breadcrumb {
padding: <?php echo $skyline_data['breadcrumb_height'] /2; ?>px 0;
background-color: <?php echo $skyline_data['breadcrumb_bgcolor']; ?>;
}
#breadcrumb {
    color: <?php echo $skyline_data['breadcrumb_text_color']; ?>;
	background-color: <?php echo $skyline_data['breadcrumb_bgcolor']; ?>;
}
#breadcrumb a {
 color: <?php echo $skyline_data['breadcrumb_text_color']; ?>;
}
#breadcrumb h2.entry-title {
 color: <?php echo $skyline_data['breadcrumb_text_color']; ?>;
}
#breadcrumb a, #breadcrumb i, 
#breadcrumb, #breadcrumb h2 {
color: <?php echo $skyline_data['breadcrumb_text_color']; ?>;
}
input, input[type="text"], 
textarea, 
.comment-form input, 
.comment-form textarea, 
#sidebar input[type="text"],
input[type="email"],
input[type="tel"],
textarea.form-control,
select,
#footer-widgets input,
#footer-widgets textarea  {
background-color: <?php echo $skyline_data['input-bg-color']; ?>;
line-height: 1.8 !important;
}
.current-menu-item a {
color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}

/* ======================================  */
/* ========== GLOBAL RADIUS SETTINGS ========= */
/* ======================================  */
input[type="button"], 
input[type="reset"], 
input[type="submit"],
input,
#main-search i,
.nav-left .menu-icon,
.nav-right .menu-icon,
#footer-widgets .btn,
textarea,
.counter-item,
.testimonial2,
.owl-carousel .owl-wrapper-outer,
.wpb_video_widget .wpb_wrapper iframe,
.portfolio-filter,
.team-social-icons a i,
#skyline_form button.btn,
.pricing-item-style,
.pricing-item-style .btn,
.pricing-item-style2,
.pricing-item-style2 .btn,
.woocommerce .button,
.team_members2,
.cd-timeline-content,
.cta .btn,
.cta,
.page-numbers,
.tagcloud a,
.share-post.social-icons a i,
.sidebar-wrapper,
#comments .comment-wrapper
 {
border-radius: <?php echo $skyline_data['global_radius']; ?>px !important;
}

/* Alternative Radius for some items */
<?php 
$alt_radius = "";
if ($skyline_data['global_radius'] == "500") {
	$alt_radius = "15";
}
?>
textarea,
.counter-item,
.testimonial2,
.owl-carousel .owl-wrapper-outer,
.wpb_video_widget .wpb_wrapper iframe,
.portfolio-filter,
.team_members2,
.pricing-item-style2,
.pricing-item-style,
.cd-timeline-content,
.cta,
.sidebar-wrapper,
#comments .comment-wrapper
 {
border-radius: <?php echo $alt_radius; ?>px !important;
}
.scrollup i {
	border-top-left-radius: <?php echo $skyline_data['global_radius']; ?>px !important;
	border-top-right-radius: <?php echo $skyline_data['global_radius']; ?>px !important;
}
/* For Portfolio Buttons */
.portfolio-filter .categories ul li:last-child a {
	border-bottom-left-radius: <?php echo $alt_radius; ?>px !important;
	border-top-right-radius: <?php echo $alt_radius; ?>px !important;
}
/* For Portfolio Buttons - Traditional */
.portfolio-filter.normal-filter .categories ul li:last-child a {
	border-bottom-left-radius: <?php echo $skyline_data['global_radius']; ?>px !important;
	border-top-left-radius: <?php echo $skyline_data['global_radius']; ?>px !important;
	border-top-right-radius: 0 !important;
}
.portfolio-filter.normal-filter li.categories > a {
	border-top-right-radius: <?php echo $skyline_data['global_radius']; ?>px !important;
	border-bottom-right-radius: <?php echo $skyline_data['global_radius']; ?>px !important;
}
/* For Blog Posts */
.blog .blog-text-wrapper {
	border-bottom-left-radius: <?php echo $alt_radius; ?>px !important;
	border-bottom-right-radius: <?php echo $alt_radius; ?>px !important;
}
.blog .img-wrapper .blog-img,
.post-video iframe,
.blog .img-wrapper {
border-top-left-radius: <?php echo $alt_radius; ?>px !important;
border-top-right-radius: <?php echo $alt_radius; ?>px !important;
}
.blog .blog-text-wrapper.link_post,
.blog .blog-text-wrapper.quote_post,
.blog .blog-text-wrapper.quote_post .post-quote-img,
.blog .blog-text-wrapper.quote_post .post-quote-img:before {
border-top-left-radius: <?php echo $alt_radius; ?>px !important;
border-top-right-radius: <?php echo $alt_radius; ?>px !important;
border-bottom-left-radius: <?php echo $alt_radius; ?>px !important;
border-bottom-right-radius: <?php echo $alt_radius; ?>px !important;
}
/* ===============================================================  */
/* ==================  VISUAL COMPOSER SECTION ===========================  */
/* ===============================================================  */
.team-social-icons a i:hover {
background-color: <?php echo $skyline_data['primary_color']; ?>;
border-color: <?php echo $skyline_data['primary_color']; ?>;
}
span.page-numbers.current,
span.page-numbers:hover, 
a.page-numbers:hover {
    background-color: <?php echo $skyline_data['primary_color']; ?>;
}
.woocommerce #content input.button:hover, 
.woocommerce #respond input#submit:hover, 
.woocommerce a.button:hover, 
.woocommerce button.button:hover, 
.woocommerce input.button:hover, 
.woocommerce-page #content input.button:hover, 
.woocommerce-page #respond input#submit:hover, 
.woocommerce-page a.button:hover, 
.woocommerce-page button.button:hover, 
.woocommerce-page input.button:hover,
.woocommerce #content input.button.alt:hover, 
.woocommerce #respond input#submit.alt:hover, 
.woocommerce a.button.alt:hover, 
.woocommerce button.button.alt:hover, 
.woocommerce input.button.alt:hover, 
.woocommerce-page #content input.button.alt:hover, 
.woocommerce-page #respond input#submit.alt:hover, 
.woocommerce-page a.button.alt:hover, 
.woocommerce-page button.button.alt:hover, 
.woocommerce-page input.button.alt:hover{
color: <?php echo $skyline_data['primary_color']; ?>;
}
/* ========== BUTTONS ========== */
a.btn, 
a:link.btn, 
a:visited.btn,
button.btn,
.wpcf7-submit,
.comment-form input[type="submit"] {
background-color: <?php echo $skyline_data['primary_color']; ?>;
border: 2px solid <?php echo $skyline_data['primary_color']; ?>;
color: #FFF;
}
a.btn:hover, 
a:link.btn:hover,
button.btn:hover,
button.btn:focus,
button.btn:active,
.wpcf7-submit:hover,
.comment-form input[type="submit"]:hover {
background-color: transparent;
color: <?php echo $skyline_data['primary_color']; ?>;
border: 2px solid <?php echo $skyline_data['primary_color']; ?>;
}
/* Button Styles */
a.btn-outline,
a:link.btn-outline,
a:visited.btn-outline  {
background-color: transparent;
border-color: <?php echo $skyline_data['primary_color']; ?>;
color: <?php echo $skyline_data['primary_color']; ?>;
}
a.btn-outline:hover,
a:link.btn-outline:hover,
a:visited.btn-outline:hover {
background-color: <?php echo $skyline_data['primary_color']; ?>;
border-color: <?php echo $skyline_data['primary_color']; ?>;
color: #FFF;
}
.portfolio-buttons a.btn-outline:hover i {
color: #FFF;
}
a.btn-3d,
a:link.btn-3d,
a:visited.btn-3d  {
background-color: <?php echo $skyline_data['primary_color']; ?>;
}
a.btn-3d:hover,
a:link.btn-3d:hover,
a:visited.btn-3d:hover {
background-color: <?php echo $skyline_data['primary_color']; ?>;
}
a.btn-3d:active,
a:link.btn-3d:active,
a:visited.btn-3d:active {
background-color: <?php echo $skyline_data['primary_color']; ?>;
}
a.btn-3d.btn-sm,
a:link.btn-3d.btn-sm,
a:visited.btn-3d.btn-sm  {
background-color: <?php echo $skyline_data['primary_color']; ?>;
}
a.btn-3d.btn-sm:hover,
a:link.btn-3d.btn-sm:hover,
a:visited.btn-3d.btn-sm:hover {
background-color: <?php echo $skyline_data['primary_color']; ?>;
}
a.btn-3d.btn-sm:active,
a:link.btn-3d.btn-sm:active,
a:visited.btn-3d.btn-sm:active {
background-color: <?php echo $skyline_data['primary_color']; ?>;
}
a.btn-3d.btn-lg,
a:link.btn-3d.btn-lg,
a:visited.btn-3d.btn-lg  {
background-color: <?php echo $skyline_data['primary_color']; ?>;
}
a.btn-3d.btn-lg:hover,
a:link.btn-3d.btn-lg:hover,
a:visited.btn-3d.btn-lg:hover {
background-color: <?php echo $skyline_data['primary_color']; ?>;
}
a.btn-3d.btn-lg:active,
a:link.btn-3d.btn-lg:active,
a:visited.btn-3d.btn-lg:active {
background-color: <?php echo $skyline_data['primary_color']; ?>;
}
/* ========== PORTFOLIO FILTER ========== */
.portfolio-filter li a.filter-active {
	color: <?php echo $skyline_data['primary_color']; ?>;
}
.portfolio-filter.normal-filter li a.filter-active {
    background-color: <?php echo $skyline_data['primary_color']; ?>;
	color: #fff;
	border-color: <?php echo $skyline_data['primary_color']; ?>;
}
.portfolio-filter .categories ul li:last-child a.filter-active {
	border-color: <?php echo $skyline_data['primary_color']; ?>;
}
/* ========== HEADERS ========== */
h1 .special-header,
h1.special::after, 
.text-center h1.special::after, 
.text-right h1.special::after, 
h1 .special-header, 
h1.text-center .special-header, 
h1.text-right .special-header,
h2 .special-header,
h2.special::after, 
.text-center h2.special::after, 
.text-right h2.special::after,
h2 .special-header, 
h2.text-center .special-header, 
h2.text-right .special-header, 
h3 .special-header,
h3.special::after, 
.text-center h3.special::after, 
.text-right h3.special::after,
h3 .special-header, 
h3.text-center .special-header, 
h3.text-right .special-header,
h4 .special-header,
h4.special::after, 
.text-center h4.special::after, 
.text-right h4.special::after,
h4 .special-header, 
h4.text-center .special-header, 
h4.text-right .special-header,
h5 .special-header,
h5.special::after, 
.text-center h5.special::after, 
.text-right h5.special::after,
h5 .special-header, 
h5.text-center .special-header, 
h5.text-right .special-header,
h6 .special-header,
h6.special::after, 
.text-center h6.special::after, 
.text-right h6.special::after,
h6 .special-header, 
h6.text-center .special-header, 
h6.text-right .special-header,
h1 .special-header, 
h1.text-center .special-header, 
h1.text-right .special-header   {
    background-color: <?php echo $skyline_data['primary_color']; ?>;
}

<?php
// Remove the padding for the blog if the user chooses white as a background color //
if ($skyline_data['blog_bg_color'] == "" || $skyline_data['blog_bg_color'] == "#ffffff") {
?>
.blog-text-wrapper {
    padding: 20px 0px 30px;
	border: none !important;
}
#blog-traditional #sidebar .sidebar-wrapper {
    padding: 0;
	padding-left: 15px;
}
.blog .blog-text-wrapper, .sidebar-wrapper {
border: none;
}
#post-traditional .post-content-wrapper,
#post-traditional .white-bg-drop-padding {
padding-left: 0;
padding-right: 0;
}
<?php
}
?>
.post-quote-wrapper {
background-color: <?php echo $skyline_data['primary_color']; ?>;
}
/* ========== MOBILE MENU OPTIONS ========== */
@media (max-width: <?php echo $skyline_data['mobile_menu']; ?>px) {
.fullwidth-blog h1.entry-title {
    font-size: 40px;
}
.nav-holder {
height: 0 !important;
}
/* ========== Navigation Left Side ========== */
.nav-left .site-content,
.nav-left .site-footer {
margin-left: 0 !important;
}
.mobile-menu-bg.open {
display:block;
}
.nav-left .site-description {
margin-left: -1px;
}
/* ========== Navigation Right Side ========== */
.nav-right .site-content,
.nav-right .site-footer {
margin-right: 0 !important;
}
.mobile-menu-bg.open {
display:block;
}
.nav-right .site-description {
margin-right: -1px;
}
}
/* ========== FOOTER STYLES ========== */
.fullwidth-section.footer, 
.woocommerce .fullwidth-section.footer {
background-color: <?php echo $skyline_data['footer-bg-color']; ?>;
color: <?php echo $skyline_data['footer-text-color']; ?>;
}
#footer-widgets li::before {
	color: <?php echo $skyline_data['footer-text-color']; ?>;
}
.footer a, .footer a:link, .footer a:visited {
color: <?php echo $skyline_data['footer-link-color']; ?>;
}
.footer a:hover {
color: <?php echo $skyline_data['footer-link-hover-color']; ?>;
}
.footer h1, .footer h2, .footer h3, .footer h4, .footer h5, .footer h6 {
color: <?php echo $skyline_data['footer-header-color']; ?>;
}
#footer-widgets .tagcloud a:hover {
border-color: <?php echo $skyline_data['primary_color']; ?>;
background-color: <?php echo $skyline_data['primary_color']; ?>;
}
.footer-style3 .footer-social-icons a:hover i {
background-color: <?php echo $skyline_data['primary_color']; ?>;
color: #FFF;
}
.secondary-footer {
color: <?php echo $skyline_data['footer-text-color']; ?>;
background-color: <?php echo $skyline_data['footer-secondary-bg-color']; ?>;
}
.secondary-footer a, .secondary-footer a:link, .secondary-footer a:visited {
color: <?php echo $skyline_data['footer-link-color']; ?>;
}
.secondary-footer a:hover {
color: <?php echo $skyline_data['footer-link-hover-color']; ?>;
}
/* TOP NAV STYLES */
.nav-top .nav-holder {
    position: relative;
    z-index: 9999;
    width: 100%;
}
.nav-transparent.nav-top .nav-holder {
    position: absolute;
    width: 100%;
}
.nav-top .main-navigation .sub-menu li.current-menu-item,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a {
    border: none;
	background-color: transparent;
}
<?php
 if (!empty($skyline_data['main_nav_width'])) {  
$nav_width = $skyline_data['main_nav_width'];
} else {
	$nav_width = "";
}
// ===== NAVIGATION LINK STYLE 1 ===== //
if ($nav_width == "2") { ?>
.nav-top .fullwidth-section-nav {
    margin: 0px 1%;
    width: 98%;
}
<?php
}
?>
/* ========== NAVIGATION LINK STYLES ========== */
<?php
$link_type = $skyline_data['nav_link_type'];
// ===== NAVIGATION LINK STYLE 1 ===== //
if ($link_type == "1") { ?>
.nav-top .main-navigation li a {
	padding: 0.65em 0;
	margin-left: 0;
    margin-right: 0;
	border-radius: 0;
	border-bottom: 2px solid transparent;
}
.nav-top .main-navigation li.current-menu-item a {
border-color: #FFF;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top .main-navigation ul.menu > li.current-menu-ancestor > a {
color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
border-bottom: 2px solid transparent;
}
.nav-top .main-navigation li {
	padding-top: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	padding-bottom: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	margin-left: 14px;
    margin-right: 14px;
}
.nav-top .main-navigation li:nth-last-child(3) {
    margin-right: 0 !important;
}
.nav-top .main-navigation li.current-menu-item a {
border-bottom: 2px solid transparent;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top .main-navigation .sub-menu li.current-menu-item a {
	border-bottom: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
	border-right: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li {
    padding-top: 18px;
    padding-bottom: 18px;
}
.nav-top.nav-scrolled .main-navigation li a {
	padding: 0.65em 0;
	margin-left: 0;
    margin-right: 0;
	border-radius: 0;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a,
.nav-top .main-navigation li.current-menu-item li a {
    border: none;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a {
color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a:hover {
color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
}

<?php
// ===== NAVIGATION LINK STYLE 2 - UNDERLINED ===== //
} elseif ($link_type == "2") { ?>
.nav-top .main-navigation li a {
	padding: 0.65em 0;
	margin-left: 0;
    margin-right: 0;
	border-radius: 0;
	border-bottom: 2px solid transparent;
}
.nav-top .main-navigation li.current-menu-item a {
border-color: #FFF;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top .main-navigation ul.menu > li.current-menu-ancestor > a {
color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
border-color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
border-bottom: 2px solid;
}
.nav-top .main-navigation li {
	padding-top: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	padding-bottom: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	margin-left: 14px;
    margin-right: 14px;
}
.nav-top .main-navigation li:nth-last-child(3) {
    margin-right: 0 !important;
}
.nav-top .main-navigation li.current-menu-item a {
border-bottom: 2px solid <?php echo $skyline_data['main_nav_font_hover_color']; ?>;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top .main-navigation .sub-menu li.current-menu-item a {
	border-bottom: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
	border-right: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li {
    padding-top: 18px;
    padding-bottom: 18px;
}
.nav-top.nav-scrolled .main-navigation li a {
	padding: 0.65em 0;
	margin-left: 0;
    margin-right: 0;
	border-radius: 0;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a,
.nav-top .main-navigation li.current-menu-item li a {
    border: none;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a {
color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a:hover {
color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
}

<?php
// ===== NAVIGATION LINK STYLE 3 - BORDER SQUARE ===== //
} elseif ($link_type == "3") { ?>
.nav-top .main-navigation li a {
	padding: .82em 1em;
	margin-left: 0;
    margin-right: 0;
	border-radius: 0;
	border: 2px solid transparent;
}
.nav-top .main-navigation li.current-menu-item a {
border-color: #FFF;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top .main-navigation ul.menu > li.current-menu-ancestor > a {
color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
border-color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
border: 2px solid;
}
.nav-top .main-navigation li {
	padding-top: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	padding-bottom: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	margin-left: 0;
    margin-right: 0;
}
.nav-top .main-navigation li:nth-last-child(3) a {
    padding-right: 0 !important;
}
.nav-top .main-navigation li.current-menu-item:nth-last-child(3) a,
.nav-top .main-navigation li.current-menu-ancestor:nth-last-child(3) a {
    padding-right: 1em !important;
}
.nav-top .main-navigation li:nth-last-child(3) .sub-menu li a {
    padding-right: 30px !important;
}
.nav-top .main-navigation li:nth-last-child(3) .sub-menu li a:hover {
	padding-left: 29px !important;
	padding-right: 25px !important;
}
.nav-top .main-navigation li.current-menu-item a {
border: 2px solid <?php echo $skyline_data['main_nav_font_hover_color']; ?>;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top .main-navigation .sub-menu li.current-menu-item a {
	border: none !important;
	border-bottom: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
	border-right: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li {
    padding-top: 14px;
    padding-bottom: 14px;
}
.nav-top.nav-scrolled .main-navigation li a {
	padding: .82em 1em;
	margin-left: 0;
    margin-right: 0;
	border-radius: 0;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a,
.nav-top .main-navigation li.current-menu-item li a {
    border: none;
}
.nav-top .main-navigation li .sub-menu li a {
    border-bottom-width: 1px;
    border-top-width: 0;
    border-right-width: 0;
    border-left-width: 1px;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a {
color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a:hover {
color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
}
<?php
// ===== NAVIGATION LINK STYLE 4 - BORDER ROUNDED ===== //
} elseif ($link_type == "4") { ?>
.nav-top .main-navigation li a {
	padding: .82em 1em;
	margin-left: 0;
    margin-right: 0;
	border-radius: 3px;
	border: 2px solid transparent;
}
.nav-top .main-navigation li.current-menu-item a {
border-color: #FFF;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top .main-navigation ul.menu > li.current-menu-ancestor > a {
color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
border-color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
border: 2px solid;
}
.nav-top .main-navigation li {
	padding-top: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	padding-bottom: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	margin-left: 0;
    margin-right: 0;
}
.nav-top .main-navigation li:nth-last-child(3) a {
    padding-right: 0 !important;
}
.nav-top .main-navigation li.current-menu-item:nth-last-child(3) a,
.nav-top .main-navigation li.current-menu-ancestor:nth-last-child(3) a {
    padding-right: 1em !important;
}
.nav-top .main-navigation li:nth-last-child(3) .sub-menu li a {
    padding-right: 30px !important;
}
.nav-top .main-navigation li:nth-last-child(3) .sub-menu li a:hover {
	padding-left: 29px !important;
	padding-right: 25px !important;
}
.nav-top .main-navigation li.current-menu-item a {
border: 2px solid <?php echo $skyline_data['main_nav_font_hover_color']; ?>;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top .main-navigation .sub-menu li.current-menu-item a {
	border: none !important;
	border-bottom: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
	border-right: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li {
    padding-top: 14px;
    padding-bottom: 14px;
}
.nav-top.nav-scrolled .main-navigation li a {
	padding: .82em 1em;
	margin-left: 0;
    margin-right: 0;
	border-radius: 3px;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a,
.nav-top .main-navigation li.current-menu-item li a {
    border: none;
}
.nav-top .main-navigation li .sub-menu li a {
    border-bottom-width: 1px;
    border-top-width: 0;
    border-right-width: 0;
    border-left-width: 1px;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a {
color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a:hover {
color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
}
<?php
// ===== NAVIGATION LINK STYLE 5 - BORDER ROUND ===== //
} elseif ($link_type == "5") { ?>
.nav-top .main-navigation li a {
	padding: .82em 1em;
	margin-left: 0;
    margin-right: 0;
	border-radius: 100px;
	border: 2px solid transparent;
}
.nav-top .main-navigation li.current-menu-item a {
border-color: #FFF;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top .main-navigation ul.menu > li.current-menu-ancestor > a {
color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
border-color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
border: 2px solid;
}
.nav-top .main-navigation li {
	padding-top: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	padding-bottom: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	margin-left: 0;
    margin-right: 0;
}
.nav-top .main-navigation li:nth-last-child(3) a {
    padding-right: 0 !important;
}
.nav-top .main-navigation li.current-menu-item:nth-last-child(3) a,
.nav-top .main-navigation li.current-menu-ancestor:nth-last-child(3) a {
    padding-right: 1em !important;
}
.nav-top .main-navigation li:nth-last-child(3) .sub-menu li a {
    padding-right: 30px !important;
}
.nav-top .main-navigation li:nth-last-child(3) .sub-menu li a:hover {
	padding-left: 29px !important;
	padding-right: 25px !important;
}
.nav-top .main-navigation li.current-menu-item a {
border: 2px solid <?php echo $skyline_data['main_nav_font_hover_color']; ?>;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top .main-navigation .sub-menu li.current-menu-item a {
	border: none !important;
	border-bottom: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
	border-right: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li {
    padding-top: 14px;
    padding-bottom: 14px;
}
.nav-top.nav-scrolled .main-navigation li a {
	padding: .82em 1em;
	margin-left: 0;
    margin-right: 0;
	border-radius: 100px;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a,
.nav-top .main-navigation li.current-menu-item li a {
    border: none;
}
.nav-top .main-navigation li .sub-menu li a {
    border-bottom-width: 1px;
    border-top-width: 0;
    border-right-width: 0;
    border-left-width: 1px;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a {
color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a:hover {
color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
}
<?php
// ===== NAVIGATION LINK STYLE 6 - SOLID SQUARE ===== //
} elseif ($link_type == "6") { ?>
.nav-top .main-navigation li a {
	padding: .82em 1em;
	margin-left: 0;
    margin-right: 0;
	border-radius: 0;
	border: 2px solid transparent;
}
.nav-top .main-navigation li.current-menu-item a {
border-color: #FFF;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top .main-navigation ul.menu > li.current-menu-ancestor > a,
.nav-top .main-navigation li.current-menu-item a {
color: <?php echo $skyline_data['main_nav_bgcolor']; ?> !important;
background-color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
border-color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
border: 2px solid;
}
.nav-top .main-navigation .sub-menu li a,
.nav-top .main-navigation .sub-menu li.current-menu-item a,
.nav-top .main-navigation li.current-menu-item .sub-menu li a,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a {
	color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
background-color: <?php echo $skyline_data['main_nav_drop_menu_bg']; ?> !important;
}
.nav-top .main-navigation .sub-menu li a:hover,
.nav-top .main-navigation .sub-menu li.current-menu-item a:hover,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a:hover,
.nav-top .main-navigation li.current-menu-item .sub-menu li a:hover {
	color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
background-color: <?php echo $skyline_data['main_nav_drop_menu_bg']; ?> !important;
}
.nav-top .main-navigation li {
	padding-top: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	padding-bottom: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	margin-left: 0;
    margin-right: 0;
}
.nav-top .main-navigation li:nth-last-child(3) a {
    padding-right: 0 !important;
}
.nav-top .main-navigation li.current-menu-item:nth-last-child(3) a,
.nav-top .main-navigation li.current-menu-ancestor:nth-last-child(3) a {
    padding-right: 1em !important;
}
.nav-top .main-navigation li:nth-last-child(3) .sub-menu li a {
    padding-right: 30px !important;
}
.nav-top .main-navigation li:nth-last-child(3) .sub-menu li a:hover {
	padding-left: 29px !important;
	padding-right: 25px !important;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top .main-navigation .sub-menu li.current-menu-item a {
	border: none !important;
	border-bottom: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
	border-right: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li {
    padding-top: 14px;
    padding-bottom: 14px;
}
.nav-top.nav-scrolled .main-navigation li a {
	padding: .82em 1em;
	margin-left: 0;
    margin-right: 0;
	border-radius: 0;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a,
.nav-top .main-navigation li.current-menu-item li a {
    border: none;
}
.nav-top .main-navigation li .sub-menu li a {
    border-bottom-width: 1px !important;
    border-top-width: 0 !important;
    border-right-width: 0 !important;
    border-left-width: 1px !important;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a {
color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a:hover {
color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
}
<?php
// ===== NAVIGATION LINK STYLE 7 - SOLID ROUNDED ===== //
} elseif ($link_type == "7") { ?>
.nav-top .main-navigation li a {
	padding: .82em 1em;
	margin-left: 0;
    margin-right: 0;
	border-radius: 3px;
	border: 2px solid transparent;
}
.nav-top .main-navigation li.current-menu-item a {
border-color: #FFF;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top .main-navigation ul.menu > li.current-menu-ancestor > a,
.nav-top .main-navigation li.current-menu-item a {
color: <?php echo $skyline_data['main_nav_bgcolor']; ?> !important;
background-color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
border-color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
border: 2px solid;
}
.nav-top .main-navigation .sub-menu li a,
.nav-top .main-navigation .sub-menu li.current-menu-item a,
.nav-top .main-navigation li.current-menu-item .sub-menu li a,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a {
	color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
background-color: <?php echo $skyline_data['main_nav_drop_menu_bg']; ?> !important;
}
.nav-top .main-navigation .sub-menu li a:hover,
.nav-top .main-navigation .sub-menu li.current-menu-item a:hover,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a:hover,
.nav-top .main-navigation li.current-menu-item .sub-menu li a:hover {
	color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
background-color: <?php echo $skyline_data['main_nav_drop_menu_bg']; ?> !important;
}
.nav-top .main-navigation li {
	padding-top: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	padding-bottom: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	margin-left: 0;
    margin-right: 0;
}
.nav-top .main-navigation li:nth-last-child(3) a {
    padding-right: 0 !important;
}
.nav-top .main-navigation li.current-menu-item:nth-last-child(3) a,
.nav-top .main-navigation li.current-menu-ancestor:nth-last-child(3) a {
    padding-right: 1em !important;
}
.nav-top .main-navigation li:nth-last-child(3) .sub-menu li a {
    padding-right: 30px !important;
}
.nav-top .main-navigation li:nth-last-child(3) .sub-menu li a:hover {
	padding-left: 29px !important;
	padding-right: 25px !important;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top .main-navigation .sub-menu li.current-menu-item a {
	border: none !important;
	border-bottom: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
	border-right: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li {
    padding-top: 14px;
    padding-bottom: 14px;
}
.nav-top.nav-scrolled .main-navigation li a {
	padding: .82em 1em;
	margin-left: 0;
    margin-right: 0;
	border-radius: 3px;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a,
.nav-top .main-navigation li.current-menu-item li a {
    border: none;
}
.nav-top .main-navigation li .sub-menu li a {
    border-bottom-width: 1px;
    border-top-width: 0;
    border-right-width: 0;
    border-left-width: 1px;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a {
color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a:hover {
color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
}
<?php
// ===== NAVIGATION LINK STYLE 8 - SOLID CIRCLE ===== //
} elseif ($link_type == "8") { ?>
.nav-top .main-navigation li a {
	padding: .82em 1em;
	margin-left: 0;
    margin-right: 0;
	border-radius: 100px;
	border:2px solid transparent;
}
.nav-top .main-navigation li.current-menu-item a {
border-color: #FFF;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top .main-navigation ul.menu > li.current-menu-ancestor > a,
.nav-top .main-navigation li.current-menu-item a {
color: <?php echo $skyline_data['main_nav_bgcolor']; ?> !important;
background-color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
border-color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
border: 2px solid;
}
.nav-top .main-navigation .sub-menu li a,
.nav-top .main-navigation .sub-menu li.current-menu-item a,
.nav-top .main-navigation li.current-menu-item .sub-menu li a,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a {
	color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
background-color: <?php echo $skyline_data['main_nav_drop_menu_bg']; ?> !important;
}
.nav-top .main-navigation .sub-menu li a:hover,
.nav-top .main-navigation .sub-menu li.current-menu-item a:hover,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a:hover,
.nav-top .main-navigation li.current-menu-item .sub-menu li a:hover {
	color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
background-color: <?php echo $skyline_data['main_nav_drop_menu_bg']; ?> !important;
}
.nav-top .main-navigation li {
	padding-top: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	padding-bottom: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	margin-left: 0;
    margin-right: 0;
}
.nav-top .main-navigation li:nth-last-child(3) a {
    padding-right: 0 !important;
}
.nav-top .main-navigation li.current-menu-item:nth-last-child(3) a,
.nav-top .main-navigation li.current-menu-ancestor:nth-last-child(3) a {
    padding-right: 1em !important;
}
.nav-top .main-navigation li:nth-last-child(3) .sub-menu li a {
    padding-right: 30px !important;
}
.nav-top .main-navigation li:nth-last-child(3) .sub-menu li a:hover {
	padding-left: 29px !important;
	padding-right: 25px !important;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top .main-navigation .sub-menu li.current-menu-item a {
	border: none !important;
	border-bottom: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
	border-right: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li {
    padding-top: 14px;
    padding-bottom: 14px;
}
.nav-top.nav-scrolled .main-navigation li a {
	padding: .82em 1em;
	margin-left: 0;
    margin-right: 0;
	border-radius: 100px;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a,
.nav-top .main-navigation li.current-menu-item li a {
    border: none;
}
.nav-top .main-navigation li .sub-menu li a {
    border-bottom-width: 1px;
    border-top-width: 0;
    border-right-width: 0;
    border-left-width: 1px;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a {
color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a:hover {
color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
}
<?php
// ===== NAVIGATION LINK STYLE 9 - BORDER TOP ===== //
} elseif ($link_type == "9") { ?>
.nav-top .main-navigation ul li a,
.nav-top.nav-scrolled .main-navigation ul li a {
	padding-top: 0px;
	padding-bottom: 0px;

}
.nav-top .main-navigation li {
	padding-top: <?php echo $skyline_data['main_nav_height'] / 2 - 3 ?>px;
	padding-bottom: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
}
.nav-top.nav-scrolled .main-navigation li {
padding-top: 21px;
padding-bottom: 24px;
}
.nav-top .main-navigation li {
	margin-left: 14px;
    margin-right: 14px;
	border-top: 3px solid transparent;
}
.nav-top .main-navigation li:nth-last-child(3) {
    margin-right: 0 !important;
}
.nav-top .main-navigation li.current-menu-item,
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item {
color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}
.nav-top.nav-transparent .main-navigation li.current-menu-item {
    border-top: 3px solid #FFF;
	color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}
.nav-top .main-navigation .sub-menu li.current-menu-ancestor {
	border-top: none !important;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item {
border-color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item a {
color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}
.nav-top .main-navigation li.current-menu-item,
.nav-top .main-navigation li.current-menu-ancestor {
    border-top: 3px solid <?php echo $skyline_data['main_nav_font_hover_color']; ?>;
	color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}
.nav-top .main-navigation li.current-menu-item a,
.nav-top .main-navigation li.current-menu-ancestor a {
	color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}
.nav-top .main-navigation .sub-menu li a,
.nav-top .main-navigation .sub-menu li.current-menu-item a,
.nav-top .main-navigation li.current-menu-item .sub-menu li a,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a {
	color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
background-color: <?php echo $skyline_data['main_nav_drop_menu_bg']; ?> !important;
}
.nav-top .main-navigation .sub-menu li a:hover,
.nav-top .main-navigation .sub-menu li.current-menu-item a:hover,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a:hover,
.nav-top .main-navigation li.current-menu-item .sub-menu li a:hover {
	color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
background-color: <?php echo $skyline_data['main_nav_drop_menu_bg']; ?> !important;
}
.nav-top .main-navigation li .sub-menu li a {
    border-bottom-width: 1px;
    border-top-width: 0;
    border-right-width: 0;
    border-left: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
}
<?php
// ===== NAVIGATION LINK STYLE 10 - BORDER BOTTOM ===== //
} elseif ($link_type == "10") { ?>
.nav-top .main-navigation ul li a,
.nav-top.nav-scrolled .main-navigation ul li a {
	padding-top: 0px;
	padding-bottom: 0px;

}
.nav-top .main-navigation li {
	padding-top: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	padding-bottom: <?php echo $skyline_data['main_nav_height'] / 2 - 3 ?>px;
}
.nav-top.nav-scrolled .main-navigation li {
padding-top: 24px;
padding-bottom: 21px;
}
.nav-top .main-navigation li {
	margin-left: 14px;
    margin-right: 14px;
	border-bottom: 3px solid transparent;
}
.nav-top .main-navigation li:nth-last-child(3) {
    margin-right: 0 !important;
}
.nav-top .main-navigation li.current-menu-item,
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item {
color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}
.nav-top.nav-transparent .main-navigation li.current-menu-item {
    border-bottom: 3px solid #FFF;
	color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}
.nav-top .main-navigation .sub-menu li.current-menu-ancestor {
	border-bottom: none !important;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item {
border-color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item a {
color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}
.nav-top .main-navigation li.current-menu-item,
.nav-top .main-navigation li.current-menu-ancestor {
    border-bottom: 3px solid <?php echo $skyline_data['main_nav_font_hover_color']; ?>;
	color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}
.nav-top .main-navigation li.current-menu-item a,
.nav-top .main-navigation li.current-menu-ancestor a {
	color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}
.nav-top .main-navigation .sub-menu li a,
.nav-top .main-navigation .sub-menu li.current-menu-item a,
.nav-top .main-navigation li.current-menu-item .sub-menu li a,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a {
	color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
background-color: <?php echo $skyline_data['main_nav_drop_menu_bg']; ?> !important;
}
.nav-top .main-navigation .sub-menu li a:hover,
.nav-top .main-navigation .sub-menu li.current-menu-item a:hover,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a:hover,
.nav-top .main-navigation li.current-menu-item .sub-menu li a:hover {
	color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
background-color: <?php echo $skyline_data['main_nav_drop_menu_bg']; ?> !important;
}
.nav-top .main-navigation li .sub-menu li a {
    border-bottom-width: 1px;
    border-top-width: 0;
    border-right-width: 0;
    border-left: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
}
.nav-top .main-navigation .sub-menu li a {
	padding: .82em 1em;
}
<?php
 // ===== NAVIGATION LINK STYLE 11 - ARROW BOTTOM ===== //
} elseif ($link_type == "11") { ?>
.nav-top .main-navigation li a,
.nav-top.nav-scrolled .main-navigation li a {
	padding: 0;
	margin-left: 0;
    margin-right: 0;
	border-radius: 0;
	position: relative;
}
.nav-top .main-navigation li.current-menu-item a {
border-color: #FFF;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top .main-navigation ul.menu > li.current-menu-ancestor > a {
color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}
.nav-top .main-navigation ul li {
	padding-top: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	padding-bottom: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	margin-left: 14px;
    margin-right: 14px;
}
.nav-top .main-navigation ul .sub-menu li {
	margin-left: 0;
    margin-right: 0;
}
.nav-top .main-navigation li:nth-last-child(3) {
    margin-right: 0 !important;
}

.nav-top.nav-transparent.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top .main-navigation .sub-menu li.current-menu-item a {
	border-bottom: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
	border-right: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li {
    padding-top: 22px;
    padding-bottom: 22px;
}

.nav-top.nav-scrolled .main-navigation li.current-menu-item li a,
.nav-top .main-navigation li.current-menu-item li a {
    border: none;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a {
color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a:hover {
color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
}

.current-menu-item a:after {
font-family: 'FontAwesome';
position: absolute;
clear: both;
  content: "\f106";
  text-align: center;
  display: block;
  line-height: 1;
font-size: 16.5px;
left: 50%;
margin-left:-5.5px;
}
.nav-top.nav-transparent .current-menu-item a:after {
	color:#FFFFFF !important;
}
.nav-top.nav-transparent.nav-scrolled .current-menu-item a:after,
.nav-top.nav-scrolled .current-menu-item a:after,
.nav-top .current-menu-item a:after {
	color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}
 <?php
 // ===== NAVIGATION LINK STYLE 12 - ARROW TOP ===== //
} elseif ($link_type == "12") { ?>
.nav-top .main-navigation li a,
.nav-top.nav-scrolled .main-navigation li a {
	padding: 0;
	margin-left: 0;
    margin-right: 0;
	border-radius: 0;
	position: relative;
}
.nav-top .main-navigation li.current-menu-item a {
border-color: #FFF;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top .main-navigation ul.menu > li.current-menu-ancestor > a {
color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}
.nav-top .main-navigation ul li {
	padding-top: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	padding-bottom: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	margin-left: 14px;
    margin-right: 14px;
}
.nav-top .main-navigation ul .sub-menu li {
	margin-left: 0;
    margin-right: 0;
}
.nav-top .main-navigation li:nth-last-child(3) {
    margin-right: 0 !important;
}

.nav-top.nav-transparent.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top .main-navigation .sub-menu li.current-menu-item a {
	border-bottom: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
	border-right: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li {
    padding-top: 22px;
    padding-bottom: 22px;
}

.nav-top.nav-scrolled .main-navigation li.current-menu-item li a,
.nav-top .main-navigation li.current-menu-item li a {
    border: none;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a {
color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a:hover {
color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
}

.current-menu-item a:after {
font-family: 'FontAwesome';
position: absolute;
clear: both;
  content: "\f107";
  text-align: center;
  display: block;
  line-height: 1;
font-size: 16.5px;
left: 50%;
margin-left:-5.5px;
top: 50%;
margin-top: -25px;
}
.nav-top.nav-transparent .current-menu-item a:after {
	color:#FFFFFF !important;
}
.nav-top.nav-transparent.nav-scrolled .current-menu-item a:after,
.nav-top.nav-scrolled .current-menu-item a:after,
.nav-top .current-menu-item a:after {
	color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}

<?php
// ===== NAVIGATION LINK STYLE 13 - CARET TOP ===== //
} elseif ($link_type == "13") { ?>
.nav-top .main-navigation ul li a,
.nav-top.nav-scrolled .main-navigation ul li a {
	padding-top: 0px;
	padding-bottom: 0px;

}
.nav-top .main-navigation ul li {
	padding-top: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	padding-bottom: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	margin-left: 14px;
    margin-right: 14px;
	position: relative;
}
.nav-top.nav-scrolled .main-navigation ul li {
    padding-top: 24px;
    padding-bottom: 24px;
}
.nav-top .main-navigation li.current-menu-item a {
border-color: #FFF;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top .main-navigation ul.menu > li.current-menu-ancestor > a {
color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;

}

.nav-top .main-navigation li:nth-last-child(3) {
    margin-right: 0 !important;
}

.nav-top.nav-transparent.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top .main-navigation .sub-menu li.current-menu-item a {
	border-bottom: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
	border-right: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a,
.nav-top .main-navigation li.current-menu-item li a {
    border: none;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a {
color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a:hover {
color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
}

.current-menu-item a:after {
font-family: 'FontAwesome';
position: absolute;
clear: both;
content: "\f0d7";
text-align: center;
display: block;
line-height: .3;
font-size: 16.5px;
left: 50%;
margin-left: -5.5px;
top: 0;
}
.nav-top.nav-transparent .current-menu-item a:after {
	color:#FFFFFF !important;
}
.nav-top.nav-transparent.nav-scrolled .current-menu-item a:after,
.nav-top.nav-scrolled .current-menu-item a:after,
.nav-top .current-menu-item:after {
	color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}
<?php
// ===== NAVIGATION LINK STYLE 14 - CARET BOTTOM ===== //
} elseif ($link_type == "14") { ?>
.nav-top .main-navigation ul li a,
.nav-top.nav-scrolled .main-navigation ul li a {
	padding-top: 0px;
	padding-bottom: 0px;

}
.nav-top .main-navigation ul li {
	padding-top: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	padding-bottom: <?php echo $skyline_data['main_nav_height'] / 2 ?>px;
	margin-left: 14px;
    margin-right: 14px;
	position: relative;
}
.nav-top.nav-scrolled .main-navigation ul li {
    padding-top: 24px;
    padding-bottom: 24px;
}
.nav-top .main-navigation li.current-menu-item a {
border-color: #FFF;
}
.nav-top.nav-transparent.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation li.current-menu-item a,
.nav-top .main-navigation ul.menu > li.current-menu-ancestor > a {
color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;

}

.nav-top .main-navigation li:nth-last-child(3) {
    margin-right: 0 !important;
}

.nav-top.nav-transparent.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top.nav-scrolled .main-navigation .sub-menu li.current-menu-item a,
.nav-top .main-navigation .sub-menu li.current-menu-item a {
	border-bottom: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
	border-right: 1px solid <?php echo $skyline_data['main_nav_drop_menu_border']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a,
.nav-top .main-navigation li.current-menu-item li a {
    border: none;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a {
color: <?php echo $skyline_data['main_nav_drop_menu_font']; ?> !important;
}
.nav-top.nav-scrolled .main-navigation li.current-menu-item li a:hover {
color: <?php echo $skyline_data['main_nav_drop_menu_font_hover']; ?> !important;
}

.current-menu-item a:after {
    font-family: 'FontAwesome';
    position: absolute;
    clear: both;
    content: "\f0d8";
    text-align: center;
    display: block;
    line-height: 0.5;
    font-size: 16.5px;
    left: 50%;
    margin-left: -5.5px;
    bottom: -1px;
}
.nav-top.nav-transparent .current-menu-item a:after {
	color:#FFFFFF !important;
}
.nav-top.nav-transparent.nav-scrolled .current-menu-item a:after,
.nav-top.nav-scrolled .current-menu-item a:after,
.nav-top .current-menu-item:after {
	color: <?php echo $skyline_data['main_nav_font_hover_color']; ?> !important;
}

<?php
}
?>
</style>

<script type="text/javascript">
// ==========  RESPONSIVE MENU ========== //
  (function($) { "use strict";
$(window).on('resize load', function() {
var navHolder = $('.nav-top .nav-holder').outerHeight(true);
  if ($(window).width() < <?php echo $skyline_data['mobile_menu']; ?>) {
     $('.nav-left').addClass('nav-closed');
	 $('.nav-right').addClass('nav-closed');
	 $('.nav-top').addClass('nav-closed');
	 $('.mobile-menu-bg').removeClass('open');
	 $('.nav-top .nav-holder').css('height', '0');
  }
 else {
	 $('.mobile-menu-bg').removeClass('open');
	 $('.nav-top .nav-holder').css('height', navHolder);
 }
});
	 })(jQuery);
	 
	  // ========== MOBILE MENU FUNCTIONS ==== Links stop working when this is active ====== //
  // ========== CLOSE MENU WHEN FINAL LINK IS CLICKED - NECESSARY FOR ONE PAGER ========== //
(function($) { "use strict";
$(window).on('resize load', function() {
  if ($(window).width() < <?php echo $skyline_data['mobile_menu']; ?>) {
$('li.menu-item a').click(function(e){
if ($(this).parent('li').hasClass('menu-item-has-children')) {
} else {
	 $('.nav-top').addClass('nav-closed');
	 $('.nav-left').addClass('nav-closed');
	 $('.nav-right').addClass('nav-closed');
	 $('.mobile-menu-bg').removeClass('open');
}
});
}
 });
 })(jQuery);
</script>

<script type="text/javascript">
 // ==========  Determine if top bar is turned on or off and position nav accordingly - For Top Nav ========== //
 // ==========  ADD STICKY HEADER ON SCROLL - FOR TOP NAV ========== //
  (function($) { "use strict";
$(window).on('load', function() {
$('.nav-top .site-description').css('display', 'block');
var navPad = <?php echo $skyline_data['main_nav_height'];?>;
var navHeight = $('.nav-top .main-navigation li a').outerHeight(true);
var navDesc = $('.nav-top .site-description').outerHeight(true);
var navPlaceHolder = navHeight + navDesc + navPad;
 $('.nav-top .nav-holder').css('height', navPlaceHolder);
 $(window).on('scroll', function() {
  if ($(document).scrollTop() < 200) {
            $('.nav-top .site-header').css('position', 'relative').css('opacity', '1');
			$('.nav-top').removeClass('nav-scrolled');
            $('.nav-top .site-description').css('display', 'block');
		    $('.nav-transparent .site-header').removeClass('show-nav');
			$('.nav-transparent .site-description').removeClass('show-nav');
        }
        if ($(document).scrollTop() > 300) {
			$('.nav-top .site-header').css('opacity', '0');
			$('.nav-top').addClass('nav-scrolled');
            $('.nav-top .site-description').css('display', 'none');
			$('.nav-transparent .site-header').addClass('show-nav');
			$('.nav-transparent .site-description').addClass('show-nav');
        }
		if ($(document).scrollTop() > 500) {
		 $('.nav-top .site-header').css('position', 'fixed').css('top','0').css('opacity', '1');
		 }
    });
	 });
	 })(jQuery);
</script>

<script type="text/javascript">
// ==========  TOP NAV - RESPONSIVE MENU ========== //
  (function($) { "use strict";
$(window).on('resize load', function() {
  if ($(window).width() < <?php echo $skyline_data['mobile_menu']; ?>) {
     $('.nav-top').addClass('nav-top-holder');
	 $('.nav-top').addClass('nav-left');
	 $('body').addClass('is-mobile');
	 $('.nav-top .site-header').css('position', 'fixed');
	 $('.nav-top').removeClass('nav-top');
  }
 else {
     $('.nav-top-holder').addClass('nav-top');
	 $('.nav-top-holder').removeClass('nav-left');
	 $('.nav-top .site-header').css('margin-left', '0');
	 $('.nav-top .site-content').css('margin-left', '0');
	 $('.nav-top-holder .mobile-menu-bg').removeClass('open');
	 $('.nav-top-holder .menu-icon').css('opacity','1');
	 $('.nav-top').removeClass('nav-top-holder');
	 $('body').removeClass('is-mobile');
 }
});
	 })(jQuery);
	 // TOP - WHEN IN MOBILE VIEW
(function($) { "use strict";      
$(window).on('resize load', function() {
// Sub-Menu Activation //
$('.nav-left .main-navigation li.menu-item-has-children > a').click(function(e) {
    e.preventDefault();
	$('ul.menu').addClass('second-level');
    $(this).parent('li').addClass('active');
});
// Back Button 1 //
$('.nav-left .main-navigation li.back-button a').click(function(e) {
	e.preventDefault();
	$('ul.menu').removeClass('second-level');
    $('ul.menu li').removeClass('active');
});
// Third-Menu Activation //
$('.nav-left .main-navigation ul ul li.menu-item-has-children > a').click(function(e) {
	e.preventDefault();
	$('ul.menu').addClass('third-level');
	$('ul.menu').removeClass('second-level');
});
// Back Button 1 //
$('.nav-left .main-navigation li.back-button2 a').click(function(e) {
	e.preventDefault();
	$('ul.menu').removeClass('third-level');
	$('ul.menu').addClass('second-level');
});
}); 
})(jQuery);
</script>
<script type="text/javascript">
// ==========  OPEN/CLOSE FUNCTION FOR MENU ========== //
// REQUIRED TO LOAD AFTER THE RESPONSIVE OPTIONS ABOVE //
// LEFT MENU
(function($) { "use strict";
$(window).on('load resize', function() {
// Open-Close Menu When Button is Clicked//
$('.nav-left a.menu-icon').click(function() {
	$('.nav-left').removeClass('nav-closed');
	$('.mobile-menu-bg').addClass('open');
});
$('.nav-left a.close-icon').click(function() {
	$('.nav-left').addClass('nav-closed');
	$('.mobile-menu-bg').removeClass('open');
});
 });
 })(jQuery);
 // RIGHT MENU
 (function($) { "use strict";
$(window).on('load resize', function() {
// Open-Close Menu When Button is Clicked//
$('.nav-right a.menu-icon').click(function() {
	$('.nav-right').removeClass('nav-closed');
	$('.mobile-menu-bg').addClass('open');
});
$('.nav-right a.close-icon').click(function() {
	$('.nav-right').addClass('nav-closed');
	$('.mobile-menu-bg').removeClass('open');
});
 });
 })(jQuery);
 </script>
 <?php 
// If transparent menu is selected, show transparent menu //
// Also handles switching between logos //
// User option to show transparent menu on page //
$logo_original = $skyline_data['logo_img']['url'];
$logo_transparent = $skyline_data['logo_img_transparent']['url'];
?>
<script type="text/javascript">
(function($) { "use strict";
var logoOriginal = "<?php echo $logo_original; ?>";
var logoTransparent = "<?php echo $logo_transparent; ?>";
$(window).on('scroll resize load', function() {
	 $(".nav-default .logo a img").attr("src",logoOriginal);
	 $(".nav-transparent .logo a img").attr("src",logoTransparent);
         if ($(window).scrollTop() > 100) {
         $(".logo a img").attr("src",logoOriginal);
        } else {
		 $(".nav-transparent .logo a img").attr("src",logoTransparent);
		 $(".nav-transparent .is-mobile .logo a img").attr("src",logoOriginal);
		 }
     });
 })(jQuery);
</script> 

<style type="text/css">
<?php if (!empty($skyline_data['custom-css'])) { echo $skyline_data['custom-css'];}  ?>
</style>
<?php
}
endif;
?>