<?php
    /**
     * Skyline Custom Widgets Plugin
     * A simple plugin which provides custom widgets for the Skyline Theme.
     * Plugin Name:     Skyline Custom Widgets
     * Plugin URI:      http://www.creativelycoded.com
     * Description:     A simple plugin which provides custom widgets for the Skyline Theme.
     * Author:          CreativelyCoded
     * Author URI:      http://www.creativelycoded.com
     * Version:         1.0.0
     * License:         GPL3+
     * License URI:     http://www.gnu.org/licenses/gpl-3.0.txt
     *
     */
// =============== FOOTER LOGO WIDGET =============== //
// Creating the widget 
class skyline_footer_widget extends WP_Widget {
function __construct() {
parent::__construct(
// Base ID of your widget
'skyline_footer_logo_widget', 
// Widget name will appear in UI
esc_html__( 'SKYLINE Footer Logo', 'skyline'), 
// Widget description
array( 'description' => esc_html__( 'You can setup the footer logo and text in the SKYLINE Options menu', 'skyline' ), ) 
);
}
// Creating widget front-end
// This is where the action happens
public function widget( $args, $instance ) {
$title = apply_filters( 'widget_title', $instance['title'] );
// before and after widget arguments are defined by themes
echo $args['before_widget'];
if ( ! empty( $title ) )
echo $args['before_title'] . $title . $args['after_title'];
// This is where you run the code and display the output
?>
<?php $skyline_data = skyline_redux_data(); ?>
<h1 class="site-title">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php if(!empty($skyline_data['footer_logo_img']['url'])) : ?>
                <img src="<?php echo esc_url($skyline_data['footer_logo_img']['url']); ?>" alt="logo image" class="logo-footer" />
            <?php else : ?>
                <?php echo esc_html($skyline_data['footer_logo_text']); ?>
            <?php endif; ?></a></h1>
			<p><?php echo esc_html($skyline_data['footer_caption']); ?></p><?php
echo $args['after_widget'];
}
		
// Widget Backend 
public function form( $instance ) {
if ( isset( $instance[ 'title' ] ) ) {
$title = $instance[ 'title' ];
}
else {
$title = esc_html__( 'Title', 'skyline' );
}
// Widget admin form
?>
<?php $skyline_data = skyline_redux_data(); ?>
<div style="background-color: <?php echo $skyline_data['footer-bg-color']; ?>">
<h1 class="site-title">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php if(!empty($skyline_data['footer_logo_img']['url'])) : ?>
                <img style="max-width: 100%" src="<?php echo esc_url($skyline_data['footer_logo_img']['url']); ?>" alt="logo image" class="logo-footer" />
            <?php else : ?>
                <?php echo esc_html($skyline_data['footer_logo_text']); ?>
            <?php endif; ?></a></h1>
</div>
<?php 
}
	
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
$instance = array();
$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
return $instance;
}
} // Class skyline_footer_widget ends here
// Register and load the widget
function skyline_footer_load_widget() {
	register_widget( 'skyline_footer_widget' );
}
add_action( 'widgets_init', 'skyline_footer_load_widget' );
// =============== RECENT POSTS WIDGET =============== //
// Creating the widget 
class skyline_recent_posts_widget extends WP_Widget {
function __construct() {
parent::__construct(
// Base ID of your widget
'skyline_recent_posts_widget', 
// Widget name will appear in UI
esc_html__( 'SKYLINE Recent Posts', 'skyline'), 
// Widget description
array( 'description' => esc_html__( 'Display your most recent posts with a thumbnail', 'skyline' ), ) 
);
}
// Creating widget front-end
// This is where the action happens
public function widget( $args, $instance ) {
$title = apply_filters( 'widget_title', $instance['title'] );
$number = apply_filters( 'widget_number', $instance['number'] );
// before and after widget arguments are defined by themes
// This is where you run the code and display the output
// WP_Query arguments
$args = array (
	'post_type'              => 'post',
	'pagination'             => false,
	'posts_per_page'         => $number,
	'ignore_sticky_posts'    => true,
	'order'                  => 'DESC',
	'orderby'                => 'date',
);
// The Query
$query = new WP_Query( $args );
 ?>
<h1 class="widget-title"><?php echo esc_html($title); ?></h1>
<?php
// The Loop
if ( $query->have_posts() ) {
	while ( $query->have_posts() ) {
		$query->the_post(); ?>
		<?php $permalink =  esc_url( get_permalink() );?>
		<?php $postid = get_the_ID(); ?>
		<ul class="skyline-posts">
		<li><a href="<?php echo $permalink; ?>"><?php echo get_the_post_thumbnail( $postid, 'thumb' );?></a>
		<h5><a href="<?php echo $permalink; ?>"><?php echo get_the_title(); ?></a></h5>
		<?php the_time( get_option( 'date_format' ) ); ?></li>
		</ul>
		<?php
	}
} else {
	// no posts found
}
// Restore original Post Data
wp_reset_postdata();
}
		
// Widget Backend 
public function form( $instance ) {
if ( isset( $instance[ 'title' ] ) ) {
$title = $instance[ 'title' ];
}
else {
// default for title
$title = esc_html__( 'Recent Posts', 'skyline');
}
if ( isset( $instance[ 'number' ] ) ) {
$number = $instance[ 'number' ];
}
else {
$number = 3;
}
// Widget admin form
?>
<br/>
<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php echo esc_html( 'Title:','skyline' ); ?></label>
<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
<br/><br/>
<label for="<?php echo $this->get_field_id( 'number' ); ?>"><?php echo esc_html( 'Number of post to show:','skyline' ); ?></label>
<input  id="<?php echo $this->get_field_id( 'number' ); ?>" name="<?php echo $this->get_field_name( 'number' ); ?>" type="text" size="3" value="<?php echo esc_attr( $number ); ?>" />
<br/><br/>
<?php
}
	
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
$instance = array();
$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
$instance['number'] = ( ! empty( $new_instance['number'] ) ) ? strip_tags( $new_instance['number'] ) : '';
return $instance;
}
} // Class skyline_theme ends here
// Register and load the widget
function skyline_load_widget() {
	register_widget( 'skyline_recent_posts_widget' );
}
add_action( 'widgets_init', 'skyline_load_widget' );
// =============== POPULAR POSTS WIDGET =============== //
// Creating the widget 
class skyline_popular_posts_widget extends WP_Widget {
function __construct() {
parent::__construct(
// Base ID of your widget
'skyline_popular_posts_widget', 
// Widget name will appear in UI
esc_html__( 'SKYLINE Popular Posts', 'skyline'), 
// Widget description
array( 'description' => esc_html__( 'Display your most popular posts with a thumbnail', 'skyline' ), ) 
);
}
// Creating widget front-end
// This is where the action happens
public function widget( $args, $instance ) {
$title = apply_filters( 'widget_title', $instance['title'] );
$number = apply_filters( 'widget_number', $instance['number'] );
	$args = array(
		 'post_type' => 'post',
		 'ignore_sticky_posts'    => true,
		 'meta_query' => array(
			  array(
				  'key' => '_post_like_count',
				  'value' => '0',
				  'compare' => '>'
			  )
		  ),
		 'meta_key' => '_post_like_count',
		 'orderby' => 'meta_value_num',
		 'order' => 'DESC',
		 'posts_per_page' => $number, 
		 );
	// The Query
$query = new WP_Query( $args );
 ?>
<h1 class="widget-title"><?php echo esc_html($title); ?></h1>
<?php
// The Loop
if ( $query->have_posts() ) {
	while ( $query->have_posts() ) {
		$query->the_post(); ?>
		<?php $permalink =  esc_url( get_permalink() );?>
		<?php $postid = get_the_ID(); ?>
		<ul class="skyline-posts">
		<li><a href="<?php echo $permalink; ?>"><?php echo get_the_post_thumbnail( $postid, 'thumb' );?></a>
		<h5><a href="<?php echo $permalink; ?>"><?php echo get_the_title(); ?></a></h5>
		<?php the_time( get_option( 'date_format' ) ); ?>&nbsp;&nbsp;|&nbsp;&nbsp;<?php echo getPostLikeLink( $postid ); ?></li>
		</ul>
		<?php
	}
} else {
	// no posts found
}
// Restore original Post Data
wp_reset_postdata();
}
		
// Widget Backend 
public function form( $instance ) {
if ( isset( $instance[ 'title' ] ) ) {
$title = $instance[ 'title' ];
}
else {
// default title text
$title = esc_html__( 'Popular Posts', 'skyline');
}
if ( isset( $instance[ 'number' ] ) ) {
$number = $instance[ 'number' ];
}
else {
$number = 3;
}
// Widget admin form
?>
<br/>
<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php echo esc_html( 'Title:','skyline' ); ?></label>
<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
<br/><br/>
<label for="<?php echo $this->get_field_id( 'number' ); ?>"><?php echo esc_html( 'Number of post to show:','skyline' ); ?></label>
<input  id="<?php echo $this->get_field_id( 'number' ); ?>" name="<?php echo $this->get_field_name( 'number' ); ?>" type="text" size="3" value="<?php echo esc_attr( $number ); ?>" />
<br/><br/>
<?php
}
	
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
$instance = array();
$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
$instance['number'] = ( ! empty( $new_instance['number'] ) ) ? strip_tags( $new_instance['number'] ) : '';
return $instance;
}
} // Class skyline_theme ends here
// Register and load the widget
function skyline_load_popular_posts_widget() {
	register_widget( 'skyline_popular_posts_widget' );
}
add_action( 'widgets_init', 'skyline_load_popular_posts_widget' );
// =============== GOOGLE MAP WIDGET =============== //
class skyline_google_map extends WP_Widget {
	// constructor
	function skyline_google_map() {
		parent::__construct(false, $name = esc_html__( 'SKYLINE Google Map', 'skyline') );
	}
	// widget form creation
	function form($instance) {
$title = $lat = $long = $marker_text = "";
// Check values
if( $instance) {
     $title = esc_attr($instance['title']);
     $lat = esc_attr($instance['lat']);
     $long = esc_attr($instance['long']);
	 $marker_text = esc_attr($instance['marker_text']);
} else {
     $title = '';
     $lat = '';
     $long = '';
	 $marker_text = '';
}
?>
<p>
<label for="<?php echo $this->get_field_id('title'); ?>"><?php esc_html_e('Map Title', 'skyline'); ?></label>
<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id('lat'); ?>"><?php esc_html_e('Latitude:', 'skyline'); ?></label>
<input class="widefat" id="<?php echo $this->get_field_id('lat'); ?>" name="<?php echo $this->get_field_name('lat'); ?>" type="text" value="<?php echo esc_attr($lat); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id('long'); ?>"><?php esc_html_e('Longitude:', 'skyline'); ?></label>
<input class="widefat" id="<?php echo $this->get_field_id('long'); ?>" name="<?php echo $this->get_field_name('long'); ?>" type="text" value="<?php echo esc_attr($long); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id('marker_text'); ?>"><?php esc_html_e('Marker Text:', 'skyline'); ?></label>
<input class="widefat" id="<?php echo $this->get_field_id('marker_text'); ?>" name="<?php echo $this->get_field_name('marker_text'); ?>" type="text" value="<?php echo esc_attr($marker_text); ?>" />
</p>
<?php
}
	// widget update
	// update widget
function update($new_instance, $old_instance) {
      $instance = $old_instance;
      // Fields
      $instance['title'] = strip_tags($new_instance['title']);
      $instance['lat'] = strip_tags($new_instance['lat']);
      $instance['long'] = strip_tags($new_instance['long']);
	  $instance['marker_text'] = strip_tags($new_instance['marker_text']);
     return $instance;
}
	// widget display
	// display widget
function widget($args, $instance) {
   extract( $args );
   // these are the widget options
   $title = apply_filters('widget_title', $instance['title']);
   $lat = $instance['lat'];
   $long = $instance['long'];
   $marker_text = $instance['marker_text'];
   $google_map_link = esc_url('http://maps.google.com/maps/api/js?sensor=false');
   ?>
   <script src="<?php echo $google_map_link; ?>" type="text/javascript"></script>
<h1 class="widget-title"><?php echo $title; ?></h1>
  <div id="map_widget" style="width: 100%; height: 275px"></div>
  <script type="text/javascript">
    var locs = [
      ['<?php echo esc_js($marker_text); ?>', <?php echo esc_js($lat); ?>, <?php echo esc_js($long); ?>, 1],
    ];
    var map = new google.maps.Map(document.getElementById('map_widget'), {
      zoom: 12,
      center: new google.maps.LatLng(<?php echo esc_js($lat); ?>, <?php echo esc_js($long); ?>),
      mapTypeId: google.maps.MapTypeId.ROADMAP,
	  scrollwheel: false,
    });
    var infowindow = new google.maps.InfoWindow();
	var image = {
    url: '<?php echo plugins_url(); ?>/skyline-extend-vc/vc_img/location-icon.png',
    // This marker is 20 pixels wide by 32 pixels tall.
    scaledSize: new google.maps.Size(32, 42),
    // The origin for this image is 0,0.
    origin: new google.maps.Point(0,0),
    // The anchor for this image is the base of the flagpole at 0,32.
    anchor: new google.maps.Point(0, 42)
  };
    var marker, i;
    for (i = 0; i < locs.length; i++) {  
		marker = new google.maps.Marker({
        position: new google.maps.LatLng(locs[i][1], locs[i][2]),
        map: map,
		icon: image,
      });
      google.maps.event.addListener(marker, 'click', (function(marker, i) {
        return function() {
          infowindow.setContent(locs[i][0]);
          infowindow.open(map, marker);
        }
      })(marker, i));
    }
  </script>
  <?php
}
}
// register widget
add_action('widgets_init', create_function('', 'return register_widget("skyline_google_map");'));
// =============== CONTACT FORM WIDGET =============== //
class skyline_theme_contact extends WP_Widget {
	// constructor
	function skyline_theme_contact() {
		 parent::__construct(false, $name = esc_html__( 'SKYLINE Contact Form', 'skyline') );
	}
	// widget form creation
	function form($instance) {
$title = $recipient = "";
// Check values
if( $instance) {
     $title = esc_attr($instance['title']);
     $recipient = esc_attr($instance['recipient']);
} else {
     $title = '';
     $recipient = '';
}
?>
<p>
<label for="<?php echo $this->get_field_id('title'); ?>"><?php esc_html_e('Contact Form Title', 'skyline'); ?></label>
<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id('recipient'); ?>"><?php esc_html_e('Recipient recipient Address:', 'skyline'); ?></label>
<input class="widefat" id="<?php echo $this->get_field_id('recipient'); ?>" name="<?php echo $this->get_field_name('recipient'); ?>" type="text" value="<?php echo esc_attr($recipient); ?>" />
</p>
<?php
}
	// widget update
	// update widget
function update($new_instance, $old_instance) {
      $instance = $old_instance;
      // Fields
      $instance['title'] = strip_tags($new_instance['title']);
      $instance['recipient'] = strip_tags($new_instance['recipient']);
     return $instance;
}
	// widget display
	// display widget
function widget($args, $instance) {
   extract( $args );
   // these are the widget options
   $title = apply_filters('widget_title', $instance['title']);
   $recipient = $instance['recipient'];
  ?>
  <h1 class="widget-title"><?php echo esc_html($title); ?></h1>
<form id="footer_form" action="<?php echo esc_url($_SERVER["REQUEST_URI"]); ?>#footer_form" method="post" role="form">
				<div class="row">
					<div class="col-md-6">
						<div class="form-group">
							<input class="form-control" name="contact_form_name" id="name" placeholder="Name" type="text" />
						</div>
					</div>
					<div class="col-md-6">
						<div class="form-group">
							<input class="form-control" name="contact_form_email" id="email" placeholder="Email"  type="email" />
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group">
							<textarea class="form-control" id="message" name="contact_form_message" placeholder="Message" rows="6"></textarea>
						</div>
						<div class="text-center">
							<button class="btn btn-primary btn-block" type="submit">Send</button>
							</div>
					</div>
				</div>
			</form>
<?php
if (isset($_POST['contact_form_name']) && isset($_POST['contact_form_email']) && isset($_POST['contact_form_message'])) {
$name = $_POST['contact_form_name'];
$email = $_POST['contact_form_email'];
$subject = "Test Message";
$message = $_POST['contact_form_message'];
$name=stripslashes($name);
$email=stripslashes($email);
$subject=stripslashes($subject);
$message=stripslashes($message);
$message= "Email Address: $email, \n\n Message: $message";
$headers = "From: $email";
echo "<br/><div class='text-center'>Message Successfully Sent!</div>";
//mail the form contents
wp_mail( $recipient, $subject, $message, $headers );
} else {
/*echo "<br/><div class='text-center'>Please Fill Out All Fields</div>";*/
}
?>
  <?php
}
}
// register widget
add_action('widgets_init', create_function('', 'return register_widget("skyline_theme_contact");'));