<?php 
// WP_Query arguments
if ($portfolio_order == "popular") {
$args = array(
		 'post_type' => 'portfolio',
		 'ignore_sticky_posts'    => true,
		 'meta_query' => array(
			  array(
				  'key' => '_post_like_count',
				  'value' => '0',
				  'compare' => '>'
			  )
		  ),
		 'meta_key' => '_post_like_count',
		 'orderby' => 'meta_value_num',
		 'order' => esc_attr($portfolio_orderby),
		 'posts_per_page' => esc_attr($portfolio_number), 
		 );
} else {
$args = array (
	'post_type'              => 'portfolio',
	'post_status'            => 'publish',
	'posts_per_page'         => esc_attr($portfolio_number),
	'orderby'                => esc_attr($portfolio_order),
	'ignore_sticky_posts'    => true,
	'order'                  => esc_attr($portfolio_orderby),
);
}
// The Query
$query = new WP_Query( $args );
$i = 0; 

/* ========== PORTFOLIO FILTER SETTINGS ========= */
if ($portfolio_filter == "no_filter") {
	$filter_display = "display: none";
} elseif ($portfolio_filter == "normal_filter") {
	$filter_css = "normal-filter";
} 
elseif ($portfolio_filter == "fixed_filter") {
// Do nothing
}
/* ======================================  */
?>
<div class="portfolio grid-2column">
<div class="portfolio-filter <?php echo esc_attr($filter_css); ?>" style="<?php echo esc_attr($filter_display); ?>">
<div class="filter-icon"><i class="feather-shuffle"></i> &nbsp;Filter</div>
<?php 
$show_all = esc_html__('Show All','skyline');
$filter_args = array(
    'title_li'           => __( '<a href="#">'.$show_all.'</a>' ),
    'show_option_none'   => esc_html__('No Filter','skyline'),
	'exclude'	=> esc_attr__('1')
); ?>
<?php wp_list_categories( $filter_args ); ?></div>
<?php
// The Loop
if ( $query->have_posts() ) {
	while ( $query->have_posts() ) {
		$query->the_post(); ?>
	
<?php 
	$postid = get_the_ID();
	$url = wp_get_attachment_image_src( get_post_thumbnail_id($postid), 'blog-posts-small' );?>
<?php $permalink =  esc_url( get_permalink() );?>

 <?php
 // Categories for filter
foreach((get_the_category()) as $category) {
    $str = $category->cat_name . ' ';
	$cat_name = str_replace(' ','',$str);
}
?>


<div class="col-sm-6 portfolio-item <?php echo esc_attr($cat_name); ?> portfolio-active ShowAll"><div class="img-wrapper">
<div class="portfolio-img <?php echo esc_attr($portfolio_img_style); ?>" style="background-image: url('<?php echo esc_url($url[0]); ?>');">
<div class="hover-effect"><div class="portfolio-title"><a href="<?php echo esc_url($permalink); ?>"><h3><?php the_title();?></h3></a></div>
<div class="portfolio-categories"><i class="feather-tag"></i> &nbsp;<?php the_category(', '); ?>&nbsp; | &nbsp;<?php echo getPostLikeLink( $postid ); ?></div>
<div class="portfolio-buttons"><a class="btn btn-outline btn-sm" href="<?php echo esc_url($permalink); ?>"><i class="feather-link"></i></a>&nbsp;&nbsp;&nbsp;<a class="btn btn-outline btn-sm" href="<?php echo esc_url($url[0]); ?>" data-lightbox="portfolio" data-title="<?php the_title();?>"><i class="feather-maximize"></i></a></div></div>	
				  </div></div>
</div>

<?php
}
?>
</div>
<?php
} else {
	// no posts found
}
// Restore original Post Data
wp_reset_postdata();