<?php
// Breadcrumb Setup 
function skyline_breadcrumb() {
$skyline_data = skyline_redux_data();
$delimiter = ' <i class="fa-angle-right"></i>';
$home = $skyline_data['home_text'];// or use: get_bloginfo('name');
if ($home == "") {$home = esc_html__('Home','skyline');}
$before = '<span>';
$after = '</span>';
// Setup for Breadcrumb Styles
$align = $float1 = $float2 = $position = '';
if ($skyline_data['breadcrumb_style'] == "1") {
$align = "text-left";
}else if ($skyline_data['breadcrumb_style'] == "2") {
$align = "text-center";
} else if ($skyline_data['breadcrumb_style'] == "3") {
$align = "text-right";
} else if ($skyline_data['breadcrumb_style'] == "4") {
$align = "";
$float1 = "pull-left";
$float2 = "pull-right";
$position="position: relative; top: 12px; line-height: 1;";
} else if ($skyline_data['breadcrumb_style'] == "5") {
$align = "";
$float1 = "pull-right";
$float2 = "pull-left";
$position="position: relative; top: 12px; line-height: 1;";
} else if ($skyline_data['breadcrumb_style'] == "6") {
$align = "";
$float1 = "hide";
$float2 = "pull-left";
$position="";
} else if ($skyline_data['breadcrumb_style'] == "7") {
$align = "";
$float1 = "hide";
$float2 = "pull-right";
$position="";
} else if ($skyline_data['breadcrumb_style'] == "8") {
$align = "";
$float1 = "hide";
$float2 = "";
$position="display:block; text-align: center;";
}
if(!function_exists('is_shop')){
	function is_shop() {
		// Define is_shop function if WooCommerce is not yet installed
	}
}

// Setup for Special Breadcrumb
global $post;
$skyline_special_bread = get_post_meta( get_the_ID(), 'skyline_special_bread', true );
if (isset($skyline_special_bread['special_bread']) && ($skyline_special_bread['special_bread'] == "1")) {
$url = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'blog-posts' );
$title = get_the_title();
?>
<div id="breadcrumb" class="special-bread-css height-66 parallax" style="background-image: url('<?php echo esc_url($url[0]);?>'); border-radius: 0;">
<div class="fullwidth-section-breadcrumb">
<div class="container-fluid"><div class="row"><div class="col-md-12"><h1 class="entry-title"><?php echo esc_html($title);?></h1>
<?php
} else {
if ( is_home() ) {
    // This is the blog posts index
    $title = $skyline_data['home_text'];
} else if ( is_shop() ) {
    $title = $skyline_data['shop_text'];
    } 
	else if ( is_category() ) {
    $title = esc_html__('Category','skyline');
    } 
	else {
    $title = get_the_title();
}
?>
<div id="breadcrumb">
<div class="fullwidth-section-breadcrumb">
<div class="container-fluid"><div class="row <?php echo esc_html($align);?>"><div class="col-md-12"><h2 class="<?php echo esc_html($float1);?>"><?php echo esc_html($title);?></h2><span class="small-breadcrumb <?php echo esc_html($float2);?>" style="<?php echo esc_attr($position);?>">
<?php
}
global $post;
$homeLink = esc_url( home_url( '/' ) );
echo '<a href="' . esc_url($homeLink) . '">' . esc_html($home) . '</a> ' . $delimiter . ' ';
if ( is_category() ) {
global $wp_query;
$cat_obj = $wp_query->get_queried_object();
$thisCat = $cat_obj->term_id;
$thisCat = get_category($thisCat);
$parentCat = get_category($thisCat->parent);
if ($thisCat->parent != 0) echo(get_category_parents($parentCat, TRUE, ' ' . $delimiter . ' '));
echo $before . esc_html__('Archive by Category: ','skyline') . $after;
} 
elseif ( is_day() ) {
echo '<a href="' . esc_url(get_year_link(get_the_time('Y'))) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
echo '<a href="' . esc_url(get_month_link(get_the_time('Y'),get_the_time('m'))) . '">' . get_the_time('F') . '</a> ' . $delimiter . ' ';
echo $before . esc_html__('Archive by Date: ','skyline') . $after;
} 
elseif ( is_month() ) {
echo '<a href="' . esc_url(get_year_link(get_the_time('Y'))) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
echo $before . esc_html__('Archive by Month: ','skyline') . $after;
} 
elseif ( is_year() ) {
echo $before . esc_html__('Archive by Year: ','skyline') . $after;
} 
elseif ( is_single() && !is_attachment() && get_post_type() != 'product' ) {
if ( get_post_type() != 'post' ) {
$post_type = get_post_type_object(get_post_type());
$slug = $post_type->rewrite;
echo '<a href="' . esc_url($homeLink) . '/' . $slug['slug'] . '/">' . $post_type->labels->singular_name . '</a>' . $delimiter . ' ';
echo $before . get_the_title() . $after;
}
 else {
$cat = get_the_category(); $cat = $cat[0];
echo ' ' . get_category_parents($cat, TRUE, ' ' . $delimiter . ' ') . ' ';
echo $before . '' . get_the_title() . '' . $after;
}
} elseif ( !is_single() && !is_page() && get_post_type() != 'product' && get_post_type() != 'post' && !is_404() ) {
$post_type = get_post_type_object(get_post_type());
if(isset($post_type->labels->singular_name)){
echo $before . $post_type->labels->singular_name . $after;
}

} 
elseif ( is_attachment() ) {
$parent_id  = $post->post_parent;
$breadcrumbs = array();
while ($parent_id) {
$page = get_page($parent_id);
$breadcrumbs[] = '<a href="' . esc_url( get_permalink($page->ID) ) . '">' . get_the_title($page->ID) . '</a>';
$parent_id    = $page->post_parent;
}
$breadcrumbs = array_reverse($breadcrumbs);
foreach ($breadcrumbs as $crumb) echo ' ' . $crumb . ' ' . $delimiter . ' ';
echo $before . '' . get_the_title() . '' . $after;
} 
elseif ( is_page() && !$post->post_parent && get_post_type() != 'product') {
echo $before . '' . get_the_title() . '' . $after;
} 
elseif ( is_page() && $post->post_parent && get_post_type() != 'product' ) {
$parent_id  = $post->post_parent;
$breadcrumbs = array();
while ($parent_id) {
$page = get_page($parent_id);
$breadcrumbs[] = '<a href="' . esc_url( get_permalink($page->ID) ) . '">' . get_the_title($page->ID) . '</a>';
$parent_id    = $page->post_parent;
}
$breadcrumbs = array_reverse($breadcrumbs);
} 
elseif ( is_search() ) {
echo $before . esc_html__('Search results for "','skyline') . get_search_query() . '"' . $after;
} 
elseif ( is_tag() ) {
echo $before . esc_html__('Archive by Tag: ','skyline') . $after;
} 
elseif ( is_author() ) {
global $author;
$userdata = get_userdata($author);
echo $before . esc_html__('Articles posted by ','skyline') . $userdata->display_name . '' . $after;
} 
elseif ( is_404() ) {
echo $before . esc_html__('You got it','skyline') . esc_html__('Error 404 Not Found','skyline') . '"&nbsp;' . $after;
}
// START WOOCOMMERCE BREADCRUMBS
global $post;
global $wp_query;
global $author;
$prepend      = '';
$permalinks   = get_option( 'woocommerce_permalinks' );
if ( function_exists( 'wc_get_page_id' ) )
{
$shop_page_id = wc_get_page_id( 'shop' );
$shop_page    = get_post( $shop_page_id );
}
// If permalinks contain the shop page in the URI prepend the breadcrumb with shop
if ( ( ! is_front_page() && ! ( is_post_type_archive() && get_option( 'page_on_front' ) == wc_get_page_id( 'shop' ) ) ) || is_paged() ) {

	if ( is_home() ) {
		echo $before . single_post_title('', false) . $after;
	} elseif ( is_category() ) {
		$cat_obj = $wp_query->get_queried_object();
		$this_category = get_category( $cat_obj->term_id );
		if ( 0 != $this_category->parent ) {
			$parent_category = get_category( $this_category->parent );
			if ( ( $parents = get_category_parents( $parent_category, TRUE, $after . $delimiter . $before ) ) && ! is_wp_error( $parents ) ) {
				echo $before . rtrim( $parents, $after . $delimiter . $before ) . $after . $delimiter;
			}
		}
		echo $before . single_cat_title( '', false ) . $after;
	} elseif ( is_tax( 'product_cat' ) ) {
		echo $prepend;
		$current_term = $wp_query->get_queried_object();
		$ancestors = array_reverse( get_ancestors( $current_term->term_id, 'product_cat' ) );
		foreach ( $ancestors as $ancestor ) {
			$ancestor = get_term( $ancestor, 'product_cat' );
			echo $before .  '<a href="' . esc_url(get_term_link( $ancestor )) . '">' . esc_html( $ancestor->name ) . '</a>' . $after . $delimiter;
		}
		echo $before . esc_html( $current_term->name ) . $after;
	} elseif ( is_tax( 'product_tag' ) ) {
		$queried_object = $wp_query->get_queried_object();
		echo $prepend . $before . esc_html__( 'Products tagged &ldquo;', 'skyline' ) . esc_html( $queried_object->name ) . '&rdquo;' . $after;
	} elseif ( is_day() ) {
		echo $before . '<a href="' . esc_url(get_year_link( get_the_time( 'Y' ) )) . '">' . get_the_time( 'Y' ) . '</a>' . $after . $delimiter;
		echo $before . '<a href="' . esc_url(get_month_link( get_the_time( 'Y' ), get_the_time( 'm' ) )) . '">' . get_the_time( 'F' ) . '</a>' . $after . $delimiter;
		echo $before . get_the_time( 'd' ) . $after;
	} elseif ( is_month() ) {
		echo $before . '<a href="' . esc_url(get_year_link( get_the_time( 'Y' ) )) . '">' . get_the_time( 'Y' ) . '</a>' . $after . $delimiter;
		echo $before . get_the_time( 'F' ) . $after;
	} elseif ( is_year() ) {
		echo $before . get_the_time( 'Y' ) . $after;
	} elseif ( is_post_type_archive( 'product' ) && get_option( 'page_on_front' ) !== $shop_page_id ) {
		$_name = wc_get_page_id( 'shop' ) ? get_the_title( wc_get_page_id( 'shop' ) ) : '';
		if ( ! $_name ) {
			$product_post_type = get_post_type_object( 'product' );
			$_name = $product_post_type->labels->singular_name;
		}
		 elseif ( is_paged() ) {
			echo $before . '<a href="' . esc_url(get_post_type_archive_link( 'product' )) . '">' . $_name . '</a>' . $after;
		} else {
			echo $before . $_name . $after;
		}
	} elseif ( is_single() && ! is_attachment() ) {
		if ( 'product' == get_post_type() ) {
			echo $prepend;
			if ( $terms = wc_get_product_terms( $post->ID, 'product_cat', array( 'orderby' => 'parent', 'order' => 'DESC' ) ) ) {
				$main_term = $terms[0];
				$ancestors = get_ancestors( $main_term->term_id, 'product_cat' );
				$ancestors = array_reverse( $ancestors );
				foreach ( $ancestors as $ancestor ) {
					$ancestor = get_term( $ancestor, 'product_cat' );
					if ( ! is_wp_error( $ancestor ) && $ancestor ) {
						echo $before . '<a href="' . esc_url(get_term_link( $ancestor )) . '">' . $ancestor->name . '</a>' . $after . $delimiter;
					}
				}
				echo $before . '<a href="' . esc_url(get_term_link( $main_term )) . '">' . $main_term->name . '</a>' . $after . $delimiter;
			}
			echo $before . get_the_title() . $after;
		} elseif ( 'post' != get_post_type() && 'product' == get_post_type() ) {
			$post_type = get_post_type_object( get_post_type() );
			$slug = $post_type->rewrite;
			echo $before . '<a href="' . esc_url(get_post_type_archive_link( get_post_type() )) . '">' . $post_type->labels->singular_name . '</a>' . $after . $delimiter;
			echo $before . get_the_title() . $after;
		} 
	} elseif ( is_404() ) {
		echo $before . esc_html__( 'Error 404', 'skyline' ) . $after;
	} elseif ( ! is_single() && ! is_page() && get_post_type() != 'post' && 'product' == get_post_type()) {
		$post_type = get_post_type_object( get_post_type() );
		if ( $post_type ) {
			echo $before . $post_type->labels->singular_name . $after;
		}
	} elseif ( is_attachment() ) {
		$parent = get_post( $post->post_parent );
		$cat = get_the_category( $parent->ID );
		$cat = $cat[0];
		if ( ( $parents = get_category_parents( $cat, TRUE, $after . $delimiter . $before ) ) && ! is_wp_error( $parents ) ) {
			echo $before . rtrim( $parents, $after . $delimiter . $before ) . $after . $delimiter;
		}
		echo $before . '<a href="' . esc_url(get_permalink( $parent )) . '">' . $parent->post_title . '</a>' . $after . $delimiter;
		echo $before . get_the_title() . $after;
	} elseif ( is_page() && ! $post->post_parent && 'product' == get_post_type()) {
		echo $before . get_the_title() . $after;
	} elseif ( is_page() && $post->post_parent ) {
		$parent_id  = $post->post_parent;
		$breadcrumbs = array();
		while ( $parent_id ) {
			$page          = get_page( $parent_id );
			$breadcrumbs[] = '<a href="' . esc_url( get_permalink($page->ID) ) . '">' . get_the_title( $page->ID ) . '</a>';
			$parent_id     = $page->post_parent;
		}
		$breadcrumbs = array_reverse( $breadcrumbs );
		foreach ( $breadcrumbs as $crumb ) {
			echo $before . $crumb . $after . $delimiter;
		}
		echo $before . get_the_title() . $after;
	} elseif ( is_tag() ) {
			echo $before . esc_html__( ' Posts tagged &ldquo;', 'skyline' ) . single_tag_title( '', false ) . '&rdquo;' . $after;
	} /*elseif ( is_author() ) {
		$userdata = get_userdata( $author );
		echo $before . esc_html__( 'Author:', 'skyline' ) . ' ' . $userdata->display_name . $after;
	} */
    if ( get_query_var( 'paged' ) ) {
		echo ' (' . esc_html__( 'Page', 'skyline' ) . ' ' . get_query_var( 'paged' ) . ')';
	}
/*	echo $wrap_after; */
}
// END WOOCOMMERCE BREADCRUMS
if ( get_query_var('paged') ) {
if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';
if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
}
echo '</span></div></div></div></div></div>';
}
?>