<?php
/**
 * The template for displaying search results pages.
 *
 * @package skyline
 */
get_header(); 
$skyline_data = skyline_redux_data();
// BREADCRUB SETTINGS //
$skyline_breadcrumb_override = get_post_meta( get_the_ID(), 'skyline_breadcrumb_override', true );
if (isset($skyline_breadcrumb_override['breadcrumb']) && ($skyline_breadcrumb_override['breadcrumb']) == "0") {
// Do Nothing
} elseif (!isset($skyline_breadcrumb_override['breadcrumb']) && isset($skyline_data['breadcrumb-page']) && $skyline_data['breadcrumb-page'] == "0") {
// Do Nothing
} elseif (isset($skyline_breadcrumb_override['breadcrumb']) && ($skyline_breadcrumb_override['breadcrumb']) == "0" && (isset($skyline_data['breadcrumb-page']) && $skyline_data['breadcrumb-page'] == "1")) {
// Do Nothing
} else {
skyline_breadcrumb();
}
?>
<div class="fullwidth-section" style="padding-top: 60px">
<div class="container-fluid">
<div class="row">
<?php $skyline_sidebar_option = get_post_meta( get_the_ID(), 'skyline_sidebar_option', true ); ?>
<div class="<?php  if (isset($skyline_data['page-sidebar']) && ($skyline_data['page-sidebar'] == "1")) {echo "col-md-9";} 
elseif (isset($skyline_data['page-sidebar']) && ($skyline_data['page-sidebar'] == "0")) {echo "col-md-9";} else {echo "col-md-12";}; ?>">
	<section id="primary" class="content-area">
		<main id="main" class="site-main" role="main">
		
		<?php if ( have_posts() ) : ?>
		<?php get_template_part( 'searchform' ); ?>
			<header class="page-header">
				<h2 class="page-title"><?php printf( esc_html__( 'Search Results for: %s', 'skyline' ), '<span>' . get_search_query() . '</span>' ); ?></h2>
			</header><!-- .page-header -->
			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>
            
<!-- ===== THE SEARCH RESULTS ===== -->
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			
    <header class="entry-header">
		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
		<?php if ( 'post' == get_post_type() ) : ?>
		<ul class="blog-info clearfix"><li><h6>by <?php the_author_posts_link(); ?> &nbsp;|&nbsp; <a href="<?php echo esc_url(get_day_link(get_post_time('Y'), get_post_time('m'), get_post_time('j'))); ?>"><?php the_time( get_option( 'date_format' ) ); ?></a></h6></li></ul>
<!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->
	<div class="entry-summary">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->
	<footer class="entry-footer">
		<?php if ( 'post' == get_post_type() ) : // Hide category and tag text for pages on Search ?>
			<?php
				/* translators: used between list items, there is a space after the comma */
				$categories_list = get_the_category_list( esc_html__( ', ', 'skyline' ) );
				if ( $categories_list && skyline_categorized_blog() ) :
			?>
			<ul class="blog-info clearfix"><li><h6>
				<?php printf( esc_html__( 'Posted in %1$s', 'skyline' ), $categories_list ); ?>
			</h6></li>
			<?php endif; // End if categories ?>
			<?php
				/* translators: used between list items, there is a space after the comma */
				$tags_list = get_the_tag_list( '', esc_html__( ', ', 'skyline' ) );
				if ( $tags_list ) :
			?>
			<li><h6>
				<?php printf( esc_html__( 'Tagged in %1$s', 'skyline' ), $tags_list ); ?>
			</h6></li></ul>
			<?php endif; // End if $tags_list ?>
		<?php endif; // End if 'post' == get_post_type() ?>
		
		
	</footer><!-- .entry-footer -->
</article>
<hr/>
<!-- #post-## -->
<!-- ===== END THE SEARCH RESULTS ===== -->
			<?php endwhile; ?>
<div style="margin-top: 40px">
<?php skyline_pagination(); ?>
</div>
		<?php else : ?>
		<h1><?php echo esc_html__('Sorry No Results Found','skyline');?></h1>
		<h2><?php echo esc_html__("Why don't you try another search?","skyline");?></h2>
		<br/>
		<?php get_template_part( 'searchform' ); ?>
<div style="height: 600px">
</div>

<?php endif; ?>
		</main><!-- #main -->
	</section><!-- #primary -->
	</div>
	<?php
if (isset($skyline_data['page-sidebar']) && ($skyline_data['page-sidebar'] == "1")) { echo "<div class=\"col-md-3\"  id=\"sidebar\">"; get_sidebar(); echo"</div>";} 
elseif (isset($skyline_data['page-sidebar']) && ($skyline_data['page-sidebar'] == "0")) { echo "<div class=\"col-md-3\"  id=\"sidebar\">"; get_sidebar(); echo"</div>"; }else { } ?>
</div>

</div></div></div>
<?php get_footer(); ?>