<?php
/**
 * Single Product Up-Sells
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
global $product;
global $woocommerce_loop;
$upsells = $product->get_upsells();
if ( sizeof( $upsells ) == 0 ) return;
$meta_query = WC()->query->get_meta_query();
$args = array(
	'post_type'           => 'product',
	'ignore_sticky_posts' => 1,
	'no_found_rows'       => 1,
	'posts_per_page'      => $posts_per_page,
	'orderby'             => $orderby,
	'post__in'            => $upsells,
	'post__not_in'        => array( $product->id ),
	'meta_query'          => $meta_query
);
$products = new WP_Query( $args );
$woocommerce_loop['columns'] = $columns;
if ( $products->have_posts() ) : ?>
<div class="row">
<div class="col-md-12">
<hr/>
    <div class="upsells products">
		<h3 class="special" style="margin-bottom: 30px"><?php echo esc_html__( 'You may also like', 'skyline' ) ?></h3>
		<?php woocommerce_product_loop_start(); ?>
<div class="row">
			<?php while ( $products->have_posts() ) : $products->the_post(); ?>
				<?php wc_get_template_part( 'content', 'product' ); ?>
			<?php endwhile; // end of the loop. ?>
</div>
		<?php woocommerce_product_loop_end(); ?>
	</div>
</div></div>
<?php endif;
wp_reset_postdata();